# AlertHelper

Package tourplaner.ui

## Class AlertHelper

- java.lang.Object
- - tourplaner.ui.AlertHelper

    public class AlertHelper
    extends java.lang.Object

### Constructor Summary

Constructors
`AlertHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.time.LocalDate` `datePicker​(java.time.LocalDate content)` Date Picker Dialog, sobald ein Datum ausgewählt wurde, wird es automatisch bestätigt und der dialog geschlossen
`static void` `error​(java.lang.String title, java.lang.String header, java.lang.String msg)` Error Dialog
`static void` `exerror​(java.lang.String title, java.lang.String header, java.lang.String msg, java.lang.Exception ex)` Ausgabe einer Exception in einem Dialog
`static java.lang.String` `fileChooser​(java.lang.String btn)` File Auswahl
`static void` `inform​(java.lang.String title, java.lang.String header, java.lang.String msg)` Info Dialog
`static void` `informNoHeader​(java.lang.String title, java.lang.String msg)` Info Dialog ohne Header
`static double` `inputNumber​(java.lang.String title, java.lang.String header, java.lang.String msg, java.lang.String content)` Positive Nummer eingabe.
`static java.lang.String` `inputText​(java.lang.String title, java.lang.String header, java.lang.String msg, java.lang.String content)` Texteingabe die nicht leer sein darf
`static java.lang.String` `inputTextNotNull​(java.lang.String title, java.lang.String header, java.lang.String msg, java.lang.String content, boolean notNull)` Texteingabe
`static void` `warn​(java.lang.String title, java.lang.String header, java.lang.String msg)` Warning Dialog

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AlertHelper

    public AlertHelper()

### Method Detail

#### warn

    public static void warn​(java.lang.String title,
                            java.lang.String header,
                            java.lang.String msg)

Warning Dialog

Parameters:
  `title` - Title des Dialogs
  `header` - Header des Dialogs
  `msg` - Nachricht des Dialogs

#### inform

    public static void inform​(java.lang.String title,
                              java.lang.String header,
                              java.lang.String msg)

Info Dialog

Parameters:
  `title` - Title des Dialogs
  `header` - Header des Dialogs
  `msg` - Nachricht des Dialogs

#### informNoHeader

    public static void informNoHeader​(java.lang.String title,
                                      java.lang.String msg)

Info Dialog ohne Header

Parameters:
  `title` - Title des Dialogs
  `msg` - Nachricht des Dialogs

#### error

    public static void error​(java.lang.String title,
                             java.lang.String header,
                             java.lang.String msg)

Error Dialog

Parameters:
  `title` - Title des Dialogs
  `header` - Header des Dialogs
  `msg` - Nachricht des Dialogs

#### exerror

    public static void exerror​(java.lang.String title,
                               java.lang.String header,
                               java.lang.String msg,
                               java.lang.Exception ex)

Ausgabe einer Exception in einem Dialog

Parameters:
  `title` - Title des Dialogs
  `header` - Header des Dialogs
  `msg` - Nachricht des Dialogs
  `ex` - Die exception die ausgegeben werden soll

#### inputText

    public static java.lang.String inputText​(java.lang.String title,
                                             java.lang.String header,
                                             java.lang.String msg,
                                             java.lang.String content)

Texteingabe die nicht leer sein darf

Parameters:
  `title` - Title des Dialogs
  `header` - Header des Dialogs
  `msg` - Nachricht des Dialogs
  `content` - Inhalt des Input Felds
Returns:
  Null bei keiner eingabe

#### inputTextNotNull

    public static java.lang.String inputTextNotNull​(java.lang.String title,
                                                    java.lang.String header,
                                                    java.lang.String msg,
                                                    java.lang.String content,
                                                    boolean notNull)

Texteingabe

Parameters:
  `title` - Title des Dialogs
  `header` - Header des Dialogs
  `msg` - Nachricht des Dialogs
  `notNull` - true wenn der input nicht leer sein darf
  `content` - Inhalt des Input Felds
Returns:
  Null bei keiner eingabe

#### inputNumber

    public static double inputNumber​(java.lang.String title,
                                     java.lang.String header,
                                     java.lang.String msg,
                                     java.lang.String content)

Positive Nummer eingabe. Wenn Convertierung zu int nicht klappt, dann -1

Parameters:
  `title` - Title des Dialogs
  `header` - Header des Dialogs
  `msg` - Nachricht des Dialogs
  `content` - Inhalt des Input Felds
Returns:
  -1.0 bei error sonst ein double

#### datePicker

    public static java.time.LocalDate datePicker​(java.time.LocalDate content)

Date Picker Dialog, sobald ein Datum ausgewählt wurde, wird es automatisch bestätigt und der dialog geschlossen

Parameters:
  `content` - Aktuelles datum
Returns:
  Gewähltes datum

#### fileChooser

    public static java.lang.String fileChooser​(java.lang.String btn)

File Auswahl

Parameters:
  `btn` - Text des Speichern/Öffnen Btn
Returns:
  String des Files, bei error null